import joi, { ExtensionFactory } from 'joi';
declare module 'joi' {
    interface StringSchema {
        nullable(): joi.StringSchema;
        phone(args?: Partial<PhoneArgs>): joi.StringSchema;
    }
}
export type PhoneFormat = 'standard' | 'e164' | 'international' | 'national' | 'rfc3966';
export interface PhoneArgs {
    /**
     * @default FR
     */
    country: string | string[];
    /**
     * @default true
     */
    strict: boolean;
    /**
     * @default standard
     */
    format: PhoneFormat;
}
export declare const StringExtension: ExtensionFactory;
